VARKON Version 1.16 1998-04-27

> ## norm - Function

> Geometrical function
> Description
> Returns the (normalised) normal vector of a curve, surface, b_plane or coordiante system. If used on a coordinate system, the direction of the Z-axis is returned.
> Syntax

> norm(ref)

> REF | ref;

> This syntax is used for b_planes and coordinate systems.

> norm(ref, t)

> REF | ref;
> FLOAT | t;

> This syntax is used for curves.
> norm(ref, uv)

> REF | ref;
> VECTOR | uv;

> This syntax is used for surfaces. X- and Y-components of uv are used to hold the U- and V-values. The Z-component of uv is not used.
> Principal parameters

> ref | - ID of entity.

> Optional parameters

> t | - Parameter value for curve, default = 0
> uv | - UV-value for surface. uv.x = U-value and uv.y = V-value

> Return value
> A VECTOR value equal to the normalised normal in the position specified.
> Examples

> n:=norm(#10);

> The normal of a b_plane or coordinate system.

> n:=norm(#5,0.5);
> The normal vector of a position equal to t = 0.5 on a curve.
> n:=norm(#5,vec(1.5,0.8));
> The normal vector of a position equal to U=1.5 and V=0.8 on a surface.

VARKON Homepage | Index